Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1687855 - Test case failure: /CoreOS/mariadb55/testsuite - main.plugin_auth 'innodb' [NEEDINFO]
Summary: Test case failure: /CoreOS/mariadb55/testsuite - main.plugin_auth 'innodb'
Keywords:
Status: NEW
Alias: None
Product: Red Hat Software Collections
Classification: Red Hat
Component: mariadb
Version: rh-mariadb103
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: alpha
: 3.3
Assignee: Michal Schorm
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-12 13:43 UTC by Karel Volný
Modified: 2019-04-16 08:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:
hhorak: needinfo? (mschorm)


Attachments (Terms of Use)

Description Karel Volný 2019-03-12 13:43:30 UTC
Filed from caserun https://tcms.engineering.redhat.com/run/354598/#caserun_20426809

Version-Release number of selected component (if applicable):
rhel-7

Steps to Reproduce: 
(run the test)

Actual results: 
main.plugin_auth 'innodb'                [ fail ]
        Test ended at 2019-03-01 21:37:24

CURRENT_TEST: main.plugin_auth
mysqltest: At line 437: query 'connect cleartext_fail_con,localhost,uplain,cleartext_test2' failed with wrong errno 2059: 'Plugin mysql_clear_password could not be loaded: /opt/rh/rh-mariadb103/root/usr/lib64/mariadb/plugin//mysql_clear_password.so: cannot open shared object file: No such file or directory', instead of 1045...

The result from queries just before the failure was:
< snip >
With_grant	1
FLUSH PRIVILEGES;
#
# Bug#58139 : default-auth option not recognized in MySQL standard
#             command line clients
#
# Executing 'mysql'
1
1
# Executing 'mysqladmin'
mysqld is alive
# Executing 'mysqldump'
# Executing 'mysql_upgrade'
#
# Bug #59657: Move the client authentication_pam plugin into the 
#  server repository
#
CREATE USER uplain@localhost IDENTIFIED WITH 'cleartext_plugin_server'
  AS 'cleartext_test';
## test plugin auth

More results from queries before failure can be found in /var/opt/rh/rh-mariadb103/lib/mysql/testlg3/log/plugin_auth.log

 - saving '/var/opt/rh/rh-mariadb103/lib/mysql/testlg3/log/main.plugin_auth-innodb/' to '/var/opt/rh/rh-mariadb103/lib/mysql/testlg3/log/main.plugin_auth-innodb/'
***Warnings generated in error logs during shutdown after running tests: main.plugin_auth

2019-03-01 21:37:20 0 [Warning] Plugin 'test_plugin_server' is of maturity level unknown while the server is stable
2019-03-01 21:37:20 0 [Warning] Plugin 'cleartext_plugin_server' is of maturity level unknown while the server is stable
2019-03-01 21:37:23 0 [Warning] Plugin 'test_plugin_server' is of maturity level unknown while the server is stable
2019-03-01 21:37:23 0 [Warning] Plugin 'cleartext_plugin_server' is of maturity level unknown while the server is stable
2019-03-01 21:37:23 0 [ERROR] Missing system table mysql.proxies_priv; please run mysql_upgrade to create it
2019-03-01 21:37:23 8 [ERROR] Missing system table mysql.proxies_priv; please run mysql_upgrade to create it


Note You need to log in before you can comment on or make changes to this bug.